Module: LDAP Search Service.

Project Page
=============
https://www.drupal.org/project/ldap_search


Description
============
This module provides a seamless way to provide an API for developers to use.  The API will return the JSON formatted search result.  API gives ample of facilities to developer to sort out the results and get the one matching to the requirements.


Requirements
============
Module : LDAP


Installation
============
1. Copy the module directory in to your Drupal 'modules' directory and 
install it as usual.

2. No need to Set / Modify the permissions separately.

That's it! You are all set to use the module.


Configuration Settings
======================
1. N/A


How to use :
============
1. Create a basic Service Object in your module whereever required.
	e.g.

		$service = \Drupal::service('ldap_search.search');

2. Set the further filters or parameters as and how you like.
	e.g.

		$service->set_base_dn("OU=People,DC=community,DC=hogwarts,DC=com");  // Mandatory

		$service->set_extra_filter("(memberOf=CN=Students,OU=SmartDL,OU=AutoGenerated,OU=Groups,DC=community,DC=hogwarts,DC=com)");  // Optional

		$service->set_type("both");  // Optional

		$service->set_result_count(3);  //  Optional, if skipped, by default 1 Record would be returned.

		$service->set_attributes(array("samaccountname","mail"));  //  Optional, if skipped, by default, only 'mail' attribute will be returned

3. Finally give a call to the service.

		$service->search_resource() // For JSON Result
		  
		  OR

		$service->search_resource('Plain') // For NON-JSON Result


Future Development
==================
1. Further fine tuning or enhancement of code as per need.


Additional Note(s) :
====================
